#include "../../sources/include/descriptor/descriptor.h"

int main(void) {

  
  
  ITEM Fusto,Cerchi,PelliTop,PelliBottom,Neropaco,Ghisa,Cymbals,Bacchette,NeroLucido,Muro,Scene;
  ITEM GranCassa;
  ITEM Piede;
  ITEM Tom12;
  ITEM Tom13;
  ITEM Rullante;
  ITEM Pedale;
  ITEM Timpano;
  ITEM HiHat;
  ITEM Ride;
  ITEM Crash;
  ITEM AstaPiatti;
  ITEM Pavimento;
  
  
  set_background(0.676,0.861,0.953,TRUE);
  set_ambient_light(1,1,1,0.7);
  
  create_point_light(16.16,15.90,9.39,1,1,1,3.89,20, "light1");
  create_point_light(12,-12,9,1,1,1,4,20, "light2");
  create_point_light(2.33,-0.25,16.21,1,1,1,3.89,25, "light3");

  /*** ATTRIBUTE Fusto ***/
  Fusto = create_attribute("Fusto");
  set_color(Fusto,0.55,0.40,0.25,0.5,0.5);
  set_reflectivity(Fusto,0.24,2);

  GranCassa = read_obj("GranCassa.obj", "GranCassa");
  set_attribute(GranCassa,Fusto);
  
  Scene = create_list(GranCassa, "scene");
//  Scene = insert_in_list(Scene,GranCassa);
  save_scene("batteria1.md","Scena_cassa",Scene);
  return(0);
}
